* Show the evaluation result for one service with all controls
<script setup lang="ts">
import ControlEval from "../components/ControlEval.vue";
import PieChart from "../components/PieChart.vue";
import { CloudService, Compliance, Control } from "../data/model";
import * as data from "../data/newdata";

interface EvalProps {
    service: CloudService;
    // TODO(oxisto): should be converted to a global store or something similar
    controls: Control[];
}

const props = defineProps<EvalProps>();
const compliance = await data.calculateCompliance(props.service);
</script>

<template>
    <div class="card">
        <div class="card-body">
            <PieChart v-if="compliance.chartdata" :chartData="compliance.chartdata" :width="150" :height="150"
                style="float: right" />
            <h5 class="card-title">
                <RouterLink :to="'/evaluation/' + service.id"> {{ service.name }}</RouterLink>
            </h5>
            <div class="text-muted mb-3">{{ service.description }}
            </div>
            <span v-if="compliance.status == data.ComplianceStatus.Compliant" style="color: green">
                Compliant
            </span>
            <span v-else-if="compliance.status == data.ComplianceStatus.NonComplaint" style="color: red">
                Not
                Compliant
            </span>
            <span v-else style="color: gray">
                Pending
            </span>
            <div>
                Monitoring {{ service.requirements?.requirementIds.length ?? 0 }} control(s)
            </div>

        </div>
        <div class="card-footer text-muted" style="font-size: 0.9rem">
            Last update: {{ compliance.latestDate?.toLocaleString() ?? 'Pending' }}
        </div>
    </div>
</template>